<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                       ***
  ***      File:  admin_support_predefined.php                             ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	check_admin_security("support");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_support_predefined.html");

	$t->set_var("admin_support_href", "admin_support.php");
	$t->set_var("admin_support_predefined_href", "admin_support_predefined.php");
	$t->set_var("admin_support_predefined_edit_href", "admin_support_predefined_edit.php");

	$reply_id = get_param("reply_id");
	$populate = get_param("populate");
	if ($populate && strlen($reply_id))	{
		$sql = " SELECT subject, body FROM " . $table_prefix . "support_predefined";
		$sql .=" WHERE reply_id = " . $db->tosql($reply_id, INTEGER);
		$db->query($sql);
		if ($db->next_record())	
		{
			$subject = $db->f("subject");
 			$subject = str_replace("\r","\\r", $subject);
 			$subject = str_replace("\n","\\n", $subject);
 			$subject = str_replace("\"","&quot;",$subject);

			$body = $db->f("body");
 			$body = str_replace("\r","\\r", $body);
 			$body = str_replace("\n","\\n", $body);
 			$body = str_replace("\"","&quot;",$body);
			$t->set_var("subject",$subject);
			$t->set_var("body",$body);
		}
		$t->parse("closewindow",true);
		$t->pparse("main", false);
		return;
	}	else {
		$t->set_var("closewindow","");
	}

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_support_predefined.php");
	$s->set_sorter("Reply ID", "sorter_reply_id", "1", "reply_id");
	$s->set_sorter("Subject", "sorter_subject", "2", "subject");
	$s->set_sorter("Reply Type", "sorter_type", "2", "reply_type");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_support_predefined.php");

	$is_popup = get_param("is_popup");
	$t->set_var("is_popup",$is_popup);

	if ($is_popup) { 						
 		$t->parse("closebutton",false);
		$t->parse("insert_header", false);
	}	else {
		$t->parse("support_breadcrumb", false);
 		$t->set_var("closebutton", ""); 
 		$t->set_var("insert_header", ""); 
		include("./admin_header.php");
		include("./admin_footer.php");
 	}	

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "support_predefined");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "support_predefined" . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do {
			$t->set_var("reply_id", $db->f("reply_id"));
			$t->set_var("subject", $db->f("subject"));
			$t->set_var("reply_type", $db->f("reply_type"));
			$t->set_var("body", $db->f("body"));

			if ($is_popup) { 						
				$t->parse("insert_button", false);
			} else {
  		 	$t->set_var("insert_button",""); 
  		}
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>