<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  image_show.php                                           ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/

	include_once ("./includes/common.php");

	$item_id = get_param("item_id");
	$image_id = get_param("image_id");
	$ad_id = get_param("ad_id");
	$ad_image_id = get_param("ad_image_id");
	$article_id = get_param("article_id");
	$category_id = get_param("category_id");
	$ad_category_id = get_param("ad_category_id");
	$art_cat_id = get_param("art_cat_id");
	$type = get_param("type");

	$sql = ""; $image_path = "";
	if ($item_id && isset($restrict_products_images) && $restrict_products_images) {
		if (strtolower($type) == "small") {
			$field_name = "small_image";
		} else if (strtolower($type) == "big") {
			$field_name = "big_image";
		} else if (strtolower($type) == "super") {
			$field_name = "super_image";
		}
		if ($field_name) {
			$sql  = " SELECT " . $field_name . " FROM " . $table_prefix . "items ";
			$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
		}
	} else if ($image_id && isset($restrict_products_images) && $restrict_products_images) {
		$field_name = (strtolower($type) == "small") ? "image_small" : "image_large";
		$sql  = " SELECT " . $field_name . " FROM " . $table_prefix . "items_images ";
		$sql .= " WHERE image_id=" . $db->tosql($image_id, INTEGER);
	} else if ($ad_id && isset($restrict_ads_images) && $restrict_ads_images) {
		$field_name = (strtolower($type) == "small") ? "image_small" : "image_large";
		$sql  = " SELECT " . $field_name . " FROM " . $table_prefix . "ads_items ";
		$sql .= " WHERE item_id=" . $db->tosql($ad_id, INTEGER);
	} else if ($ad_image_id && isset($restrict_ads_images) && $restrict_ads_images) {
		$field_name = (strtolower($type) == "small") ? "image_small" : "image_large";
		$sql  = " SELECT " . $field_name . " FROM " . $table_prefix . "ads_images ";
		$sql .= " WHERE image_id=" . $db->tosql($ad_image_id, INTEGER);
	} else if ($category_id && isset($restrict_categories_images) && $restrict_categories_images) { 
		$field_name = (strtolower($type) == "large") ? "image_large" : "image";
		$sql  = " SELECT " . $field_name . " FROM " . $table_prefix . "categories ";
		$sql .= " WHERE category_id=" . $db->tosql($category_id, INTEGER);
	} else if ($ad_category_id && isset($restrict_categories_images) && $restrict_categories_images) { 
		$field_name = (strtolower($type) == "small") ? "image_small" : "image_large";
		$sql  = " SELECT " . $field_name . " FROM " . $table_prefix . "ads_categories ";
		$sql .= " WHERE category_id=" . $db->tosql($ad_category_id, INTEGER);
	} else if ($art_cat_id && isset($restrict_categories_images) && $restrict_categories_images) { 
		$field_name = (strtolower($type) == "small") ? "image_small" : "image_large";
		$sql  = " SELECT " . $field_name . " FROM " . $table_prefix . "articles_categories ";
		$sql .= " WHERE category_id=" . $db->tosql($art_cat_id, INTEGER);
	} else if ($article_id && isset($restrict_articles_images) && $restrict_articles_images) {
		$field_name = (strtolower($type) == "small") ? "image_small" : "image_large";
		$sql  = " SELECT " . $field_name . " FROM " . $table_prefix . "articles ";
		$sql .= " WHERE article_id=" . $db->tosql($article_id, INTEGER);
	}

	if (strlen($sql)) {
		$db->query($sql);
		if ($db->next_record()) {
			$image_path = $db->f($field_name);
		}
	}

	if (strlen($image_path) && !preg_match("/^http\:/", $image_path)) {
	  $fp = @fopen($image_path, "rb");
	  if ($fp) {
			if(preg_match("/\.gif$/", $image_path)) {
				header("Content-Type: image/gif");
			} else if(preg_match("/\.png$/", $image_path)) {
				header("Content-Type: image/png");
			} else {
				header("Content-Type: image/jpeg");
			}
		  fpassthru($fp);
		  exit;
	  }
	} else {
		header("HTTP/1.0 404 Not Found");
		header("Status: 404 Not Found");
		exit;
	}

?>