<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                       ***
  ***      File:  constants.php                                            ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                 ***
  ***                                                                      ***
  ****************************************************************************
*/


	// Sources types
	define ("CONSTANT",    1);
	define ("GET",         2);
	define ("POST",        3);
	define ("REQUEST",     4);
	define ("SESSION",     5);
	define ("COOKIE",      6);
	define ("APPLICATION", 7);
	define ("DB",          8);
	
	// Data types
	define("NUMBER",    1);
	define("TEXT",      2);
	define("DATETIME",  3);
	define("FLOAT",     4);
	define("INTEGER",   5);
	define("DATE",      6);
	define("TIME",      7);
	define("TIMESTAMP", 8);

	// Control types
	define("HIDDEN",       1);
	define("TEXTBOX",      2);
	define("TEXTAREA",     3);
	define("CHECKBOX",     4);
	define("LISTBOX",      5);
	define("RADIOBUTTON",  6);
	define("CHECKBOXLIST", 7);
	define("SUBMITBUTTON", 8);
	define("BUTTON",       9);

	// Date indexes
	define("YEAR",        0);
	define("MONTH",       1);
	define("DAY",         2);
	define("HOUR",        3);
	define("MINUTE",      4);
	define("SECOND",      5);
	define("SHORTYEAR",   6);
	define("FULLMONTH",   7);
	define("SHORTMONTH",  8);
	define("AMPMHOUR",    9);
	define("AMPM",       10);
	define("GMT",        11);

	// Parameter indexes
	define("CONTROL_NAME",    0);
	define("CONTROL_DESC",    1);
	define("CONTROL_TYPE",    2);
	define("CONTROL_VALUE",   3);
	define("VALUE_TYPE",      4);
	define("VALUE_MASK",      5);
	define("VALUES_LIST",     6);
	define("PARSE_NAME",      7);
	define("COLUMN_NAME",     8);
	define("HTML",            9);
	define("SHOW",           10);
	define("USE_IN_SELECT",  11);
	define("USE_IN_INSERT",  12);
	define("USE_IN_UPDATE",  13);
	define("USE_IN_WHERE",   14);
	define("USE_SQL_NULL",   15);
	define("SQL_DELIMITERS", 16);
	define("TRANSFER",       17);
	define("RELATED_TABLE",  18);
	define("RELATED_WHERE",  19);

	define("DEFAULT_VALUE",  20);
	define("REQUIRED",       21);
	define("REGEXP_MASK",    22);
	define("UNIQUE",         23);
	define("MIN_VALUE",      24);
	define("MAX_VALUE",      25);
	define("MIN_LENGTH",     26);
	define("MAX_LENGTH",     27);
	define("MATCHED",        28);
	                        
	define("SELECT_SQL",     29);
	define("INSERT_SQL",     30);
	define("UPDATE_SQL",     31);
	define("DELETE_SQL",     32);

	define("TRIM",           33);
	define("LTRIM",          34);
	define("RTRIM",          35);
	define("UCASE",          36);
	define("LCASE",          37);
	define("UCWORDS",        38);

	define("EMAIL_REGEXP", "/^[_a-z0-9-\\'\\+]+(\\.[_a-z0-9-\\'\\+]+)*@[a-z0-9-]+(\\.[a-z0-9-]+)*(\\.[a-z]{2,4})\$/i");
	define("USE_IN_ORDER",   39);
	define("ORDER_ASC",      40);
	define("ORDER_DESC",     41);

	define("INSERT_ALLOWED", 42);
	define("UPDATE_ALLOWED", 43);
	define("DELETE_ALLOWED", 44);

	// events list
	define("BEFORE_INSERT",    101);
	define("AFTER_INSERT",     102);
	define("BEFORE_UPDATE",    103);
	define("AFTER_UPDATE",     104);
	define("BEFORE_DELETE",    105);
	define("AFTER_DELETE",     106);
	define("BEFORE_VALIDATE",  107);
	define("AFTER_VALIDATE",   108);
	define("BEFORE_SELECT",    109);
	define("AFTER_SELECT",     110);
	define("BEFORE_DEFAULT",   111);
	define("AFTER_DEFAULT",    112);
	define("BEFORE_REQUEST",   113);
	define("AFTER_REQUEST",    114);
	define("BEFORE_SHOW",      115);
	define("AFTER_SHOW",       116);
	define("BEFORE_SHOW_VALUE",117);
	define("AFTER_SHOW_VALUE", 118);

?>